Subject: bug#10355: Add an option to {md5,sha*} to ignore directories

From: Bob Proulx <[email-masked]>
Date: Fri, 23 Dec 2011 17:57:18 -0700

Alan Curry wrote:
> Do you suppose we can convince GNU grep's maintainer to follow this
> philosphy?

Too late.  GNU grep already has --recursive.  I think adding
--recursive to grep was a mistake.  It then requires most of 'find' to
be added to it too.  (--include*, --exclude*)

> $ mkdir d
> $ touch d/foo
> $ grep foo *
> $
> 
> It opens and reads, gets EISDIR, and intentionally skips printing it. Grr.

All silently.  For most cases I think your example would have been a a
case of programming error.  It would be better to make those cases noisy.

The above seems to be a bug since it violates the documented action of
'read' for directories.  It appears to be skipping by default.  Even
when --directories=read is specified.

> But wait, there's a -d option with 3 alternatives for what to do with
> directories! ...and none of choices is "just print the EISDIR so I'll know
> if I accidentally grepped a directory".

And the problems just go on and on.

Bob